AutoCAD Civil 3D :: 2013 - Possible To Add More Point Attribute Items After Point Number X Y Z
Aug 21, 2013
In uploading the Point input data into the AutoCAD Civil 3D 2013 software program, is it possible for me to add more Point Attribute items after Point Number, X, Y, Z? I need to have the chemical results/data attached to the (sampling) Point that has the Point #, X, Y, Z - like Point Number, X, Y, Z, Arsenic, Lead, Mercury in the input .txt (or .csv) file.
I have a simple block that consists of a point and an attribute that contains the point number. I want to generate a table with point number from the attribute, and x, y and z of the block's insertion point. I want a routine that sets out the blocks and then create the table. The first part of the routine I have (in LISP), I need it to generate the table. I was intended to use the -DATA EXTRACTION but unfortunately it does not allow me to select objects (blocks). Are there other ways to do this? I'm using AutoCAD 2011.
In this method I add as parameter one vector which contains point numbers.
string Numeros_Incluidos = ""; //buscamos todos los number point según su id y creamos una cadena string foreach (uint NP in listaNumberPoints) { Numeros_Incluidos = Numeros_Incluidos + Convert.ToString(NP)
[Code]....
I create a string called "Numeros_incluidos" that it is a chain of all numbers.
e.g:
"1,2,3,4,5,9,10,11,15,18,21,22,"
However I would like to create one function to create this string more organized as:
"1-5,9-11,15,18,21-22".
Autocad Civil 3D 2014 +SP1 Quad Core Intel i7 3770-cpu 3.40Ghz. ssd samsung 840 pro 512gb+ssd samsung 840 pro 256 gb+1tb hdd 32gb RAM 1600 Mhz. nVidia Quadro 2000. Win 7 Pro 64bit
Any way to generate liework with point numbers. I have survey data of a pipeline and all the points are in order, if there was just a way for linework to connect them by increasing point number in my drawing?
I just received a drawing with a bunch of points in it. One of the layer is called V-ROAD-CNTR-PNTS. Unfortunately, the point number, description, and elevation are all in that same layer. How do I keep just the elevation turned on but turn off the point description and number? When I turn off or freeze the layer V-ROAD-CNTR-PTNS, all three disappear. I just need the elevation showing.
I have a point cloud with 161 million points in it. This is basically fine and works well but I need to create equally high resolution surfaces from certain regions of the point cloud. No matter what size I choose my export shape, it will only create a surface from a ridiculously small 750,000 odd points, a 'feature' which has been documented on these forums before. I have POINTCLOUDDENSITY set to 100.
My question is, how can I build a surface from this high resolution point cloud data that has more than 750,000 odd points?
I'm thinking about mosaic'ing - ie. making several smaller surfaces over the required area and pasting them together.
I have a point cloud dwg. Is there a way to increase the number of points displayed? The properties of the cloud say there is 14,000,000, but it only displays 34,000. Is there a way to increase the 34,000 number? See Image.
We have been bringing points directly into a 2012 Civil 3d drawing using the same method for quite a while. We use a numeric descriptor code and the points are filtered correctly. In this particular drawing, one description code was singled out and "locked" in the drawing. The points and symbol show in the drawing slightly muted but when I try to edit the points I am unable to do so. I have tried the "unlock" command with no result. The symbol displayed by the point number is a red circle over a pencil.
I am having difficulty with the display of my point numbers and description when plotting. I am doing piping desing and utilizing Civil 3D points for the coardinates and elevations to display in a point table. For my viewport, in the properties dialogue box, under the Shade Plot option, I have selected Legacy Hidden due to needing my pipes to display properly only to have my points not display properly. If I opt for Legacy Wireframe or As Displayed, my points display correctly but my pipes do not. Any clue as to how I can have both display properly?
Civil 3d 2012..I used 3d orbit, it crashed. My points, point groups and newly updated description keys are gone.I have looked at all my backup files etc, and they do not want to display.
Im still new to Civil 3D and i would like to know how to connect inported points using 3D polylines. I imported my points from Excel in a PNEZD format. How do i get the 3d poly line to snap to my points so I can Connect them? someone mentioned using a feature line to connect the points but im not sure how or what that would do.
I have a database of points I am trying to import, and the point data for each point includes a hyperlink. I've created a set of custom User-Defined Property Classifications for all the data types in the point database, and I've created a point file format to use to import the points.
It's a database of existing curb ramps, the data includes things like widths, slopes, some text, and a hyperlink to the Google Streetview at each ramp. I've created a custom point label that will show the data I need to see at each ramp.
All goes great except that the import fails because of the hyperlinks. I've tested it by removing the hyperlinks from a small test portion of the data set, and the test points are then successfully imported. I suppose I can delete the hyperlinks from the entire database, but if there is a way to include the hyperlinks in the point import I would prefer that.
How to set a default point style for point groups? Whenever I import survey points, I always put them into their own point group, so I can display each day's worth of survey data differently. For some reason, the point style always defaults to a certain style (our control point symbol). I'd like it to default to Basic, so I don't have to change this every time. Is it a template drawing setting somewhere?
First time importing into 2012-have csv file that I imported. Coordinates land in right spot. Local system-No transformations/State Plane zones attached. When I look at them with tracking everything is okay. When I export the points they are the same I imported.
I want to add a point after the last point of a polyline. But this point really is the first point and the command insert vertex really insert a new point.So, a solution , reverse the polyline to insert points after the last vertex.
Nobody thought ever to offer a insert_first and add_last commands ?
I am trying to get point 1234 to show a label that says Point #1234 and then in a grading plan have that same point show up as a spot elevation. I have tried making two point groups "Point #" and "Spot Grades" which include the same points in them with two different label styles for each group, however the point seems to only want to take one label style at a time.
I was using this in 2011 to match label rotation of an existing point but it no longer works in 2013? What is the value I need to grab and set or will this format not work in 2013,
(defun c:mro (/ doc ss ss2 obj obj2 newrot oldrot) (vl-load-com) (setq doc (vla-get-activedocument (vlax-get-acad-object))) (vla-startundomark doc) (princ " Select point to match the rotation of to: ") (setq ss2 (ssget "" '((0 . "AECC_COGO_POINT")))) (setq obj2 (vlax-ename->vla-object (ssname ss2 0)))
In previous versions of Civil 3D there was a grip on the point marker that allowed me to rotate the block used as a point marker, where did this grip go in 2013? How can I rotate an individual point marker without having to create a separate point style?
I might be missing somehting completely, but I am reading with Civil 3D 2013 you should be able to clip a Point Cloud, but I am not seeing the clipping panel under the point cloud tab.
I have created 8 points (from 4 locations with 2 depths in each location) in _All Points/Points. These 8 points are grouped into 2 Point Groups:
Points #1, #3, #5 & #7 for Point Group - (1) Depth#1 and Points #2, #4, #6 & #8 for Point Group - (2) Depth#2.
The "Name" of Point is filled with the SampleID (like cdc-ss01-s1, cdc-ss01-s2,...) - see the attached file. From the HELP of AutoCAD C3D 2013, I have read/studies the "Point Tables" and "Point Label Styles" and I cannot figure out how to label the 8 points to show the "Point Number", "Point Elevation", and "Name" of Point (i. e. the SampleID like cdc-ss01-s1 & cdc-ss01-s2, ....).!!
I see that the Point Cloud Feature Extraction is now part of the Productivity Tools for Civil 3d 2012. Are these tools available in 2013? I am not seeing them anywhere. It seems goofy that there would be more tools available for the old release - what's the incentive to make the switch? Would you expect they will be available for 2013 sometime soon? I'm not complaining, I really like 2012
See pic. Top pic is 2013 point cloud properties. bottom pic is 2011 point cloud properties. 2013 has a new 'point cloud adjust' option in properties.
Both drawings have same 'Lidar Classification' Style, but 2013 is all gray. I tried changing some fields inside the properties for 2013 under the point cloud adjust to no avail.
why this is like this and what I need to do to see the different colors for the different classifications.
Question 1: Is it possible to change a Survey COGO point to a regular COGO point so you can edit the datum?
If not:
Question 2: Is it possible to transfer the survey database from one office to another so the end office can make datum changes to the survey COGO points. Will the link between the file and the database still apply?
I need to update the user defined property values using C# code,I can see information on how to ge the values of UDP but cannot see any information on how to modify, edit, update or add information to the UDP of a point.Basically in the attached image i want to add "Street light" to the Type UDP.
I'm really wanting to utilize CS5's powerful 3D capabilites, but am at a loss on how to properly align 3d items in perspective to the filter Vanishing Point's planes.
I'm building a digitial room setting, and want to place a simply painting (extrusion created with Repousse, texture layer merged down onto 3D layer) on the wall in proper perspective, with an extruded canvas like so:
This took plenty of time to accomplish. Nudging, moving, stretching, etc.. You can see my gridlines of course there created by the Vanishing Point filter. Is there an easier or quicker way to match up 3d objects within PS to these perspective planes other than doing it visually this way?
I have excel tables that contain 4 columns of data.
The Y co-ords pf the required object The X co-ords pf the required object The rotation of the required object The object number
What would I need to do to insert a block at the coordinates to the rotation shown then have a leader with the point number labeling the block (but the text not be rotated to the angle of the main block.